import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The paper class.
 * 
 * @author Diljot Garcha 
 * @version 1.2
 * @since 2015-05-11
 */
public class Paper extends Actions
{
    //Constants
    private static final GreenfootImage PAPER_PLAYER = new GreenfootImage("paper.png");
    private static final GreenfootImage PAPER_OPPONENT = new GreenfootImage("paper-opponent.png");
    
    /**
     * Constructor for objects of class Paper.
     */
    public Paper()
    {
        this(false);
    }
    
    /**
     * Constructor for objects of class Paper.
     * @param opponent is the Paper object intended for an opponent?
     */
    public Paper(boolean opponent)
    {
        //Set the image based on the opponent boolean
        if(opponent)
        {
            setImage(PAPER_OPPONENT);
        }
        else if(!opponent)
        {
            setImage(PAPER_PLAYER);
        }
    } 
}
