import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * The world subclass.
 * 
 * @author Diljot Garcha
 * @version 1.4
 * @since 2015-05-11
 */
public class Playground extends World
{
    //Instance variables
    public static World world;
    public static Game myGame;

    //Various constants
    public static final String ROCK = "ROCK";
    public static final String PAPER = "PAPER";
    public static final String SCISSORS = "SCISSORS";
    public static final Color BACKGROUND_COLOR = new Color(63, 156, 68);

    /**
     * Constructor for objects of class Playground.
     */
    public Playground()
    {    
        //Create a new world with 25x20 cells with a cell size of 25x25 pixels.
        super(25, 20, 25);

        //Initialize our world object
        world = this;

        //Add buttons to the world
        addObject(new RockButton(), 4, 16);
        addObject(new PaperButton(), 12, 16);
        addObject(new ScissorsButton(), 20, 16);

        //Add other objects
        addObject(new QuitButton(), 2, 18);
        addObject(new Scoreboard(), 12, 1);
        addObject(new Dummy(), 0, 0);

        //Add the score to the world
        Score myWins = new Score("" + 0, 9, 3, 48, Color.BLUE, BACKGROUND_COLOR);
        Score myTies = new Score("" + 0, 12, 3, 48, Color.BLACK, BACKGROUND_COLOR);
        Score myLosses = new Score("" + 0, 15, 3, 48, Color.RED, BACKGROUND_COLOR);

        //Initialize our game object
        myGame = new Game();

        //Set paint order
        setPaintOrder(
            Rock.class, Paper.class, Scissors.class,
            RockButton.class, PaperButton.class, ScissorsButton.class,
            RandomButton.class, QuitButton.class, Scoreboard.class,
            Score.class, TextBox.class, Dummy.class
        );
        Greenfoot.setSpeed(68); //Set the speed
    }
}