import greenfoot.*;

/**
 * The random button.
 * 
 * @author Diljot Garcha 
 * @version 1.0
 * @since 2015-05-23
 */
public class RandomButton extends Buttons
{
    /**
     * Act - do whatever the RandomButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        //Check if the user has clicked the button, or pressed the right key.
        //Additionally make sure it is safe to click buttons.
        if(Greenfoot.mouseClicked(this) && Playground.myGame.isButtonSafe())
        {
            //Generate a random number
            double randomNum = (Math.random() * 3);
            int roundedRandomNum = (int)(randomNum + 0.5); //Round the random number
            int castedRandomNum = (int)(randomNum); //Cast the random number
            if(roundedRandomNum == 3) //If the number is out of bounds (not 0, 1, or 2), decrement it.
            {
                roundedRandomNum--;
            }
            int averageNum = ((roundedRandomNum + castedRandomNum) / 2); //Take the average of the 2 numbers
            //Use that number to make our move
            if(averageNum == 0)
            {
                Playground.myGame.startGame(Playground.ROCK); //Start the game with ROCK!
            }
            else if(averageNum == 1)
            {
                Playground.myGame.startGame(Playground.PAPER); //Start the game with PAPER!
            }
            else if(averageNum == 2)
            {
                Playground.myGame.startGame(Playground.SCISSORS); //Start the game with SCISSORS!
            }
        }
    }    
}
