import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The rock class.
 * 
 * @author Diljot Garcha 
 * @version 1.2
 * @since 2015-05-11
 */
public class Rock extends Actions
{
    //Constants
    private static final GreenfootImage ROCK_PLAYER = new GreenfootImage("rock.png");
    private static final GreenfootImage ROCK_OPPONENT = new GreenfootImage("rock-opponent.png");
    
    /**
     * Constructor for objects of class Rock.
     */
    public Rock()
    {
        this(false);
    }
    
    /**
     * Constructor for objects of class Rock.
     * @param opponent is the Rock object intended for an opponent?
     */
    public Rock(boolean opponent)
    {
        //Set the image based on the opponent boolean
        if(opponent)
        {
            setImage(ROCK_OPPONENT);
        }
        else if(!opponent)
        {
            setImage(ROCK_PLAYER);
        }
    }
}
