import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The scissors class.
 * 
 * @author Diljot Garcha 
 * @version 1.2
 * @since 2015-05-11
 */
public class Scissors extends Actions
{
    //Constants
    private static final GreenfootImage SCISSORS_PLAYER = new GreenfootImage("scissors.png");
    private static final GreenfootImage SCISSORS_OPPONENT = new GreenfootImage("scissors-opponent.png");
    
    /**
     * Constructor for objects of class Scissors.
     */
    public Scissors()
    {
        this(false);
    }
    
    /**
     * Constructor for objects of class Scissors.
     * @param opponent is the Scissors object intended for an opponent?
     */
    public Scissors(boolean opponent)
    {
        //Set the image based on the opponent boolean
        if(opponent)
        {
            setImage(SCISSORS_OPPONENT);
        }
        else if(!opponent)
        {
            setImage(SCISSORS_PLAYER);
        }
    }
}
