import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * A class that makes a "Text Box".
 * 
 * @author Diljot Garcha
 * @version 1.1
 */
public class TextBox extends Text
{
    //Instance variables
    private String myText;
    private int myX;
    private int myY;
    private int myHeight;
    private Color myColorOne;
    private Color myColorTwo;
    
    /**
     * Constructor for objects of class TextBox.
     * @param textContent The content to display as a string
     * @param x The desired X coordinate of the object
     * @param y The desired Y coordinate of the object
     * @param h The desired height of the object
     * @param colorOne The color of the text
     * @param colorTwo The color of the background
     */
    public TextBox(String textContent, int x, int y, int h, Color colorOne, Color colorTwo)
    {
        //Initialize the variables
        myText = textContent;
        myX = x;
        myY = y;
        myHeight = h;
        myColorOne = colorOne;
        myColorTwo = colorTwo;
        createImage(); //Create the image with the desired text
    }
    
    /**
     * Create the image and add the Score object to the world
     */
    private void createImage()
    {
        GreenfootImage myImage = new GreenfootImage(myText, myHeight, myColorOne, myColorTwo); //Create the image
        Playground.world.addObject(this, myX, myY); //Add the object
        this.setImage(myImage); //Set the image
    }
}
